Subject: Re: bug#30955: 27.0.50; Mouse clicks on header-line in Info are broken

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Mar 2018 14:00:34 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, Colin Baxter <[email-masked]>
> Date: Tue, 27 Mar 2018 15:27:10 -0400
> 
> >         Stefan "not looking forward to debug sessions in read_key_sequence"
> 
> Ha, I found the sucker!
> Installed,

Thanks.  The original bug is fixed, but I still don't understand
something related.  If I do "C-h c" and click mouse-1 on the Up link
on the header-line, I see this in the echo area:

  <header-line> <down-mouse-1> (translated from <down-mouse-1>) at that spot runs the command mouse-drag-header-line
  <header-line> <mouse-2> (translated from <mouse-2>) at that spot runs the command Info-mouse-follow-link

Why does the second line talk about mouse-2?  I didn't click that
button.  I'd expect to see only mouse-1 mentioned in both lines.  What
am I missing?